import PegasusComponents from "/src/components/Product.vue";
import Product from "/src/components/Product.vue";
import ProductInfo from "/src/components/ProductInfo.vue";
import ProductGallery from "/src/components/ProductGallery.vue";
import {formatPrice} from "/src/helpers/money.js";
import {strpHttp} from "/src/helpers/url.js";

function install(Vue) {
  if (install.installed) return;
  install.installed = true;
  Vue.component("product", Product);
}

const plugin = { install };

let GlobalVue = null;
if (typeof window !== "undefined") {
  GlobalVue = window.Vue;
} else if (typeof global !== "undefined") {
  GlobalVue = global.vue;
}
if (GlobalVue) {
  GlobalVue.use(plugin);
}

PegasusComponents.install = install;

export default PegasusComponents;
